type FormValue<T = any> = {} & T;
class From<T = any> {
  formData: FormValue<T>;
  form: HTMLFormElement;
  constructor() {
    console.log('From');
  }
  getValues() {
    return this.formData;
  }
  listen() {
    this.form.addEventListener('submit', this.handleSubmit.bind(this));
  }
  handleSubmit(event: Event) {
    event.preventDefault();
    const formData = new FormData(this.form);
    const values = Object.fromEntries(formData.entries());
    // this.formData = values;
  }
  onChanges() {
    this.form.addEventListener('change', this.handleChange.bind(this));
  }
  handleChange(event: Event) {
    const target = event.target as HTMLInputElement;
    this.formData[target.name] = target.value;
  }
}
